{% extends 'core/layout_org.html' %}
{% load bootstrap %}
{% load i18n %}
{% load sekizai_tags %}

{% block content %}
    <div class="row">

        <div class="col-md-2">
            {% include 'sams/_nav2_links.html' %}
            {% block sidebar_left %}
            {% endblock %}
        </div>

        <div class="col-md-7">
            <div class="page-section page-section-boxed">
                <div class="page-section-content">
                    <p class="">
                        {#                    <span class="{{ ICONS.organization_profile }} icon-2x icon-bordered pull-left"></span>#}
                        {% trans "This is your public profile." %}<br />
                        {% trans "It is visible to your partners on AgriPlace." %}
                    </p>
                </div>
            </div>

            <div class="page-section page-section-boxed">
                {% include 'org_public_profile/_org_public_profile.html' %}
            </div>
        </div>

        <div class="col-md-3">

            <div class="page-section page-section-boxed">
                <div class="page-section-header">
                    <h2>
                        {% trans "Profile options" %}
                    </h2>
                </div>
                <div class="page-section-content">

                    {# Profile options form #}

                    <form id="profile_fields_form" method="post" action="{{ request.path }}">
                        {% csrf_token %}

                        <div class="form-group">
                            <div class="checkbox">
                                <label>
                                    <input checked="checked" id="id_business_card" name="business_card" type="checkbox"/>
                                    <span>{% trans "Business card" %}</span>
                                </label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="checkbox">
                                <label>
                                    <input checked="checked" id="id_photos" name="photos" ng-model="visibleSections.photos" type="checkbox"/>
                                    <span>{% trans "Photos" %}</span>
                                </label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="checkbox">
                                <label>
                                    <input id="id_certifications" name="certifications" ng-model="visibleSections.certifications" type="checkbox"/>
                                    <span>{% trans "Certifications" %}</span>
                                </label>
                            </div>
                        </div>


                        <div class="form-group">
                            <div class="checkbox">
                                <label>
                                    <input id="id_products" name="products" ng-model="visibleSections.products" type="checkbox"/>
                                    <span>{% trans "Crops" %}</span>
                                </label>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="checkbox">
                                <label>
                                    <input id="id_map" name="map" ng-model="visibleSections.map" type="checkbox"/>
                                    <span>{% trans "Location on map" %}</span>
                                </label>
                            </div>
                        </div>

                        <div>
                            <button type="submit" class="btn btn-primary" id="save_profile_options_btn">
                                {% trans "Save" %}
                            </button>
                        </div>
                    </form>

                </div>
            </div>

            {% comment %}
            <div class="page-section page-section-boxed">
                <div class="page-section-header">
                    <h2>
                        {% trans "Sharing" %}
                    </h2>
                </div>
                <div class="page-section-content">

                    {# Profile sharing form #}
                    <form action="{% url 'org_profile_sharing' organization.slug %}" method="post">
                        {% csrf_token %}
                        {% if organization.public_profile.is_public %}
                            <input type="hidden" name="public" value="false" />
                            <p>
                                {% trans "Your profile is now public at:" %}
                                <br/>
                                <a href="{{ organization.public_profile_url }}">
                                    {{ organization.public_profile_url }}
                                </a>
                            </p>
                            <button type="submit" class="btn btn-default">
                                {% trans "Make profile private" %}
                            </button>
                        {% else %}
                            <input type="hidden" name="public" value="true" />
                            <p>
                                {% trans "Your profile is now private." %}
                            </p>
                            <button type="submit" class="btn btn-primary">
                                <span class="icon-check"></span>
                                Make public
                            </button>
                        {% endif %}
                    </form>

                </div>
            </div>
            {% endcomment %}

        </div>
    </div>

{% endblock %}

